Subject: [Sigtran] Raw Sockets for Real-Time OS Support

From: "Neeraj Khanchandani" <[email-masked]>
Date: Mon, 12 May 2003 13:53:14 -0400

Hi,

We are attempting to implement SCTP on VRTX real time operating system. We
have SNX TCP/IP stack from VRTX. However, our attempts to create raw IP
socket with protocol IPPROTO_SCTP (value 132) fails. We have super user
permissions while executing socket code. I will really appreciate if any one
can help us out here. We get error of EPROTOTYPE (Protocol wrong type for
socket).

Regards,
Neeraj.